Permalink
Browse files

Add deprecation warning to post-install message

  • Loading branch information...
1 parent e90fd6c commit 7e07e1c62313c0e460946a91358f792419c248cc @sferik sferik committed Apr 14, 2012
Showing with 6 additions and 0 deletions.
  1. +6 −0 multi_json.gemspec
View
@@ -13,6 +13,12 @@ Gem::Specification.new do |gem|
gem.files = Dir['LICENSE.md', 'README.md', 'Rakefile', 'multi_json.gemspec', 'Gemfile', '.document', '.rspec', '.travis.yml' ,'spec/**/*', 'lib/**/*']
gem.homepage = 'http://github.com/intridea/multi_json'
gem.name = 'multi_json'
+ gem.post_install_message =<<eos
+********************************************************************************
+ MultiJson.encode and MultiJson.decode are deprecated and will be removed in
+ the next major version. Use MultiJson.dump and MultiJson.load instead.
+********************************************************************************
+eos
gem.rdoc_options = ["--charset=UTF-8"]
gem.require_paths = ['lib']
gem.required_rubygems_version = Gem::Requirement.new(">= 1.3.6")

0 comments on commit 7e07e1c

Please sign in to comment.